/*!
** \file DDLParserInt.h
**
** \brief Header file for bison interfacing to DDLParser class.
*/


/* 
  PURPOSE:    A DDL 2.1 compliant CIF file parser.
*/

#ifndef DDL_PARSER_INT_H
#define DDL_PARSER_INT_H

/*
#include <string>

using namespace std;
*/

#ifdef __cplusplus
extern "C" {
#endif
void ProcessAssignmentsFromDDLParser();
void ProcessOneAssignmentFromDDLParser();
void ProcessItemNameListLoopFromDDLParser();
void ProcessItemNameListNameFromDDLParser();
void ProcessValueListItemFromDDLParser();
void ProcessItemNameFromDDLParser();
void ProcessLoopFromDDLParser();
void ProcessItemValueFromDDLParser();
void ProcessLsItemValueFromDDLParser();
void ProcessUnknownValueFromDDLParser();
void ProcessMissingValueFromDDLParser();
void ProcessSaveBeginFromDDLParser();
void ProcessSaveEndFromDDLParser();
void ProcessDataBlockNameFromDDLParser();
void ddlparser_error(const char*);
#ifdef __cplusplus
}
#endif

extern char* Glob_tBufKeywordSaveDDL;
extern char* Glob_pBufValueDDL;
extern char* Glob_dataBlockNameDDL;

#endif /* DDL_PARSER_INT_H */
